Is there a reason to use the latest versions of PHP and migrate all dependencies?
Of course!

Our search:

I was looking on the setting of the project of 1 year old that has a serious requirement on calculation and processing resources. It is an asset management and analyses platform. Our current setup uses PHP 7.0.2. Making a decision to migrate to recently published PHP 7.1.0 (December 2016) was not obvious, cause improvement list is more focused on mnemonics and some adjustments.

So I dig in it and found that increase of speed for Symfony 2.8 will be around 6% and amount of served pages grows for 7% comparing to PHP 7.0.2. Which is a great benefit for a complex software as this.

Source: https://www.symfony.fi/entry/php-7-1-vs-7-0-benchmarks-symfony

Our setup is even more advanced – PHP 7.2, Symfony 3.2.2

Of course you need to cast some magic with configuration of Cicirle that not yet officially not supporting PHP 7.1 out of the box and Heroku.